package cn.ey.biz.module.system.framework.rule;

import java.util.List;
import java.util.Map;

public abstract class CompositeRule implements Rule {

    List<Rule> rules;

    public CompositeRule(List<Rule> rules){
        this.rules = rules;
    }

    @Override
    public abstract boolean evaluate(Map<String, Object> params);

}
